<%@
	page import="imagemed.util.*,imagemed.imsession.*,imagemed.jsputil.AttachmentManager"
%>
<%@
	page errorPage ="../main/exceptionHandler.jsp"
%><%
	IMSession is = new IMSession(request, response, out);
	is.setNonCacheable();

	String type = is.request.getParameter("type");
	String id = is.request.getParameter("id");
	String oper = is.request.getParameter("cOp");
	String savename = is.request.getParameter("savename");
	String settings = is.request.getParameter("settings");
	boolean isPDF = "true".equals( is.request.getParameter("cPDF") );
	if( settings == null || "".equals( settings ) ) {
		settings = "false";
	}
	boolean isPACSorder = "true".equals( is.request.getParameter("PACSorder") );
	
	String scanmode = is.request.getParameter("cScanmode");
	if( scanmode == null || "".equals( scanmode ) ) {
		scanmode = "normal";
	}

	String plusParams = "&cScanmode=" + scanmode + ( isPACSorder ? "&PACSorder=true" : "" );
	
	String scanPage = "/scheduler/scan.jsp";
	String thisPage = "/scheduler/getscanname.jsp";
	
	Helper.DEBUG( "GetScanName", "type:" + type + " id:" + id + " op:" + oper + " settings:" + settings + " scanmode:" + scanmode );

	boolean canScan = false;
	if( "overwrite".equals( oper ) ) {
		canScan = true;
	}
	else if( "save".equals( oper ) ) {
		if( savename != null ) {
			int extIndex = savename.indexOf(".");
			if( extIndex == -1 ) {
				if( isPDF ) {
					savename += ".pdf";
				}
				else {
					savename += ".jpg";
				}
			}
		}

		if( AttachmentManager.existsGeneric( type, id, savename ) ) {
			is.out.println( "<HTML><HEAD><TITLE>" + LocalizedMessage.getSimpleMessage( "GETSCANNAME_HTMLPAGE_TITLE" ) + "</TITLE>" );
			
			TabBean.writeStyleOnly( is );
			Table.printCommonScript( is );

			is.out.println( "</HEAD><BODY>" );
			is.out.println( LocalizedMessage.getSimpleMessage( "EXCEPTION_SCHEDULER_BROWSEUPLOAD_ATTACHMENT_FILENAME" ) );
			
			is.out.println( "<BR><BR><A HREF=\"" + thisPage + "?cOp=overwrite&savename=" + savename + "&type=" + type + "&id=" + id + ( isPDF ? "&cPDF=true" : "" ) + "&settings=" + settings + plusParams + "\">" );
			is.out.println( JSHelper.getJsLocalizedButton( "BUTTON_SAVE", "BUTTON_SAVE", false ) );
			is.out.println( "</A>" );

			is.out.println( "&nbsp;<A HREF=\"" + thisPage + "?type=" + type + "&id=" + id + ( isPDF ? "&cPDF=true" : "" ) + "&settings=" + settings + plusParams + "\">" );
			is.out.println( JSHelper.getJsLocalizedButton( "BUTTON_SAVE_AS", "BUTTON_SAVE_AS", false) );
			is.out.println( "</A>" );

			is.out.println( "&nbsp;<A HREF='#' onClick=\"window.close(); return false;\"> "); 
			is.out.println( JSHelper.getJsLocalizedButton( "BUTTON_CANCEL", "BUTTON_CANCEL", false ) );
			is.out.println( "</A>" );

			is.out.println( "</BODY></HTML>" );
			return;
		}
		else {
			canScan = true;
		}
	}
	
	if( canScan ) {
		response.sendRedirect( scanPage + "?type=" + type + "&id=" + id + "&savename=" + savename + ( isPDF ? "&cPDF=true" : "" ) + "&settings=" + settings + plusParams );
	}
	else {
%>

<%@page import="imagemed.http.tabs.TabBean"%>
<%@page import="imagemed.tables.Table"%>
<HTML>
<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "GETSCANNAME_HTMLPAGE_TITLE" ) %></TITLE>
<%JSHelper.printJsInclude( out, JSHelper.LAYOUTSCRIPTS_JS );
 %>
</HEAD>
<BODY>

<table width="100%" border=1 cellpadding=0 cellspacing=0 class=BgShadow>
	<tr>
		<td>
			<br>
			&nbsp;&nbsp;<font size="4"><%= LocalizedMessage.getSimpleMessage( "GETSCANNAME_SCANNING_ATTACHMENT" ) %></font>
			<br> &nbsp;
		</td>
	</tr>
</table>

<SCRIPT language="Javascript">
  function checkForm()
  {
   if (document.forms[0].savename.value=='')
   {
      document.forms[0].savename.focus();
      alert( '<%= LocalizedMessage.getSimpleMessage( "EXCEPTION_SCHEDULER_BROWSEUPLOAD_FILENAME_ALERT" ) %>' );
      return false;
   }
   else {
      return true;
   }
  }
</SCRIPT>
<table width="100%" border=1 cellpadding=0 cellspacing=0 class=BgShadow>
	<tr>
		<td align="center">
			<form action=getscanname.jsp onSubmit="return checkForm();" method=post>
				<input type=hidden name="type" value="<%= type %>">
				<input type=hidden name="id" value="<%= id %>">
				<input type=hidden name="cOp" value="save">
				<input type=hidden name="cPDF" value="<%= (isPDF ? "true" : "false")%>">
				<%= LocalizedMessage.getSimpleMessage( "GETSCANNAME_DISPLAY_SETTINGS_PAGE" ) %>&nbsp;
				<input type=hidden name="settings" id="settingsid" value=<%= settings %>>
				<input type=checkbox <%="true".equals( settings ) ? " checked " : "" %> name="" onChange="adjustCBStateTrueFalse(this, 'settingsid', false)">
				<BR><BR><%= LocalizedMessage.getSimpleMessage( "GETSCANNAME_ATTACHMENT_NAME_WILL_BE" ) %>:&nbsp;
				<input type=text name="savename" value="">
				<input type=hidden name="cScanmode" value="<%= scanmode %>">
				<input type=hidden name="PACSorder" value="<%= (isPACSorder ? "true" : "false")%>">
				<input type=submit value=Scan>
			</form>
		</td>
	</tr>
</TABLE>


</BODY>
	
</HTML>

<%
	}
%>	