<%@
	page import="
			java.util.*,
			imagemed.http.IMRequest,
			imagemed.imsession.*,
			imagemed.imtables.*,
			imagemed.jsputil.*,
			imagemed.layout.*,
			imagemed.layout.datasource.*,
			imagemed.layout.datasource.pointer.FieldInstancePointer,
			imagemed.layout.macro.button.RecordButtonMacro,
			imagemed.layout.validator.Validator,
			imagemed.lists.*,
			imagemed.tables.*,
			imagemed.types.flag.IMTypeur,
			imagemed.scheduler.SchedulerInterface,
			imagemed.util.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"
	
%><%!
	
	static String thisPage = "/scheduler/facilities.jsp";

%><%

	IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		return;
	}

	String parOper = is.getButtonParam( "cOp" );
	String parBack = request.getParameter( "cBack" );
	IMRequest reqPar = is.imRequest;
	String parFacility = reqPar.getVal( "c0FID" );
	String context = reqPar.m_context;
	String parListSaved = request.getParameter( "cList_" + ListDescriptor.LIST_SCHEDULERFACILITIESFILTER );
	if ( parListSaved != null ) {
		SchedulerInterface.setNewAdminVersion();
	}
	boolean isSeeDeleted = "true".equals( is.imRequest.digUpVal( "cSeeDeleted", "" ) );
	//	boolean hasSupportRights = is.regRights != null && -1 != is.regRights.indexOf('@');
	boolean hasAdminRights = is.hasRight( IMTypeur.ADMIN_RIGHT );

	if ( !Table.isExporting( is ) ) {
		is.setNonCacheable();
		if ( parOper == null ) {
			if ( context == null || context.length() == 0 ) {
				context = reqPar.backupContext();
				// we did not have a context, redirect the page now.
				response.sendRedirect( thisPage + "?cContext=" + context );
				return;
			}
			else {
				// just save the context
				reqPar.passAsFile( context );
			}
		}
	}

	DBLayoutDataSource dblds = EntryLayoutFactory.getDefaultDBLDS( is, LayoutPart.SCHFACILITYLAYOUT );

	FieldManager fm = EntryLayoutFactory.getDefaultFieldManager( is, LayoutPart.SCHFACILITYLAYOUT );

	// --- Init Table without Result ---

	String thisPageMenuTab = "scheduler/tables.jsp";

	TableDescriptor tdesc = new TableDescriptor( thisPage, true, true, true, false );
	TableProperties tprop = new TableProperties();

	String facilityTable = IMEnvBase.getEnv( "SCHEDULERFACILITYTBL" );

	boolean isNextPrev = false;
	if ( "SaveAndNext".equals( parOper ) ||
			"SaveAndPrev".equals( parOper ) ||
			"ViewNext".equals( parOper ) ||
			"ViewPrev".equals( parOper ) ) {
		isNextPrev = true;
		if ( context == null ) {
			context = SchedulerInterface.getContextFromBack( parBack );
		}
		if ( context != null ) {
			is.imRequest.m_context = context;
			is.imRequest.mergeContext( thisPage );
		}
	}

	WorklistTableParams tparams = new WorklistTableParams( is, is.getProfileUser(), is.regRights.indexOf( 'A' ) > -1, is.isRegisteredViewer() );
	tparams.setDefaults( thisPage, is );

	tdesc.setFieldManager( fm );
	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	tdesc.setSortDepth( 3 );

	if ( isNextPrev ) {
		tparams.setPageSize( -1 );
	}

	List<Action> act = new ArrayList<Action>();

	act.add( new LinkAction( tdesc, "0FID", "javascript:redirPage_b(\"facilities.jsp?c0FID=$$0FID$$&cOp=View\")",
			"<script language=\"JavaScript\">getImage(\'qview\', 18, 20, \' alt=\"" + LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_FACILITY" ) + "\" title=\"" + LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_FACILITY" ) + "\"\');</script>",
			LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_FACILITY" ) ) );

	if ( hasAdminRights ) {
		act.add( new LinkAction( tdesc, "0FID", "javascript:redirPage_b(\"facilities.jsp?c0FID=$$0FID$$&cOp=Edit\")",
				"<script language=\"JavaScript\">getImage(\'edit\', 18, 20, \' alt=\"" + LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_FACILITY" ) + "\" title=\"" + LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_FACILITY" ) + "\"\');</script>",
				LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_FACILITY" ) ) );
		act.add( new ConditionalLinkAction( tdesc, "0FID", "javascript:redirPage_b(\"facilities.jsp?c0FID=$$0FID$$&cOp=Delete\")",
				"delete", "18", "20", LocalizedMessage.getSimpleMessage( "DELETE_SCHEDULER_FACILITY" ), LocalizedMessage.getSimpleMessage( "DELETE_SCHEDULER_FACILITY" ) ) {

			@Override
			public boolean isButtonThere( IMSession _is, Result result ) {
				String deletedStr = result.getValue( "0FDE", "no" );
				return ( "no".equals( deletedStr ) );
			}
		} );
	}

	Column col = new Column( new SimpleHeader( "&nbsp;" ), new ActionCell( "0FID", new Action[]{ new MultiAction( tprop, act.toArray( new Action[ 0 ] ) ) } ), "0FID" );
	tdesc.addExtraColumn( "_FIRST", col );

	List<TopCell> topCell = new ArrayList<TopCell>();

	TitleTopCell title = new TitleTopCell( tprop, LocalizedMessage.getSimpleMessage( "SCHEDULER_FACILITIES" ) );
	title.clearWidth();

	topCell.add( title );

	topCell.add( new ListsTopCell( ListDescriptor.LIST_SCHEDULERFACILITIESFILTER, tdesc, is.getProfileUser(), true ) );

	if ( hasAdminRights ) {
		topCell.add( new SimpleTopCell( tprop,
				JSHelper.getJsButtonSLink( is, "javascript:redirPage_b('facilities.jsp?cOp=New')", "newButton", 0, 0, LocalizedMessage.getSimpleMessage( "ALT_TEXT_ADD_FACILITY" ) ) ) );
		topCell.add( new SeparatorTopCell( tprop, 4 ) );
	}

	topCell.add( new FieldsTopCell( tdesc, null, true ) );
	topCell.add( new FiltersTopCell( tdesc, null, false, new String[ 0 ], true ) );
	topCell.add( new SortsTopCell( tdesc, null, false, true ) );

	if ( hasAdminRights ) {
		topCell.add( new SeparatorTopCell( tprop, 4 ) );
		topCell.add( new SeeDeletedTopCell( tdesc ) );
	}

	topCell.add( new PageTopCell( tprop, tparams ) );
	tdesc.setTopCells( topCell );

	// --- Init Table with Result ---
	if ( Table.isExporting( is ) ) {
		tparams.setPageSize( 0 );
	}

	DBLDSWrapperNatSqlResult result = new DBLDSWrapperNatSqlResult( tdesc, dblds, !isSeeDeleted );
	result.setRequiredFields( new String[]{ "0FDE" } );

	tdesc.setResult( result );
	Table table = new Table( tdesc );
	table.setImportable( true );

	if ( table.handleExport( is ) ) {
		return;
	}

%><%-- --- HTML --- --%><HTML>
<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "SCHEDULER_FACILITIES" ) %></TITLE>
 <SCRIPT Language="JavaScript">
 	var pageContext="<%=context%>";
 </script>
<%
	TabToolbox.writeIMpopup( is.out );
	table.printScript( tparams, is );
	JSHelper.printJsInclude( out, JSHelper.LAYOUTSCRIPTS_JS );
%>
  <SCRIPT language="JavaScript">
		function doSubmit(frm, mod) {
			while (frm.cOp.value != mod) {
				frm.cOp.value=mod;
			}
			frm.submit();
		}


  </script>
</head>

<BODY>
<%
	TabToolbox.makeTabs( is, is.tabbean, thisPageMenuTab, "White" );
	// --- Oper ---

	if ( "View".equals( parOper ) || "New".equals( parOper ) || "Edit".equals( parOper ) || "Refresh".equals( parOper ) || ( parOper != null && parOper.startsWith( "Record" ) ) ) {
		SchedulerInterface.putLabel( is, "SCHEDULER_FACILITY", parOper );

		boolean isEdit = !"View".equals( parOper );
		DBLDSEntry entry = null;
		String entryName = request.getParameter( "cEntryName" );
		if ( entryName != null ) {
			entry = DBLDSEntry.readFile( is, entryName, dblds );
			dblds.setEntry( entry );
			entry.initFromRequest( is.imRequest );
			if ( RecordButtonMacro.doRecordOperation( dblds, is ) || "Refresh".equals( parOper ) ) {
				parOper = "Edit";
			}
		}
		else {
			entry = new DBLDSEntry( dblds );
			dblds.setEntry( entry );
			if ( !"New".equals( parOper ) ) {
				entry.initFromExisting( parFacility );
			}
			else {
				// create a default empty facility
				LDSRecord rootRec = entry.addRecord( dblds.getTable(), null ); // root record
				rootRec.setNewValue( "0FOD", "12345" );
			}
		}
		dblds.setRepeatPointer( dblds.getTable(), 0 );
		OperatingMode mode = "View".equals( parOper ) ? LayoutPart.VIEWING : LayoutPart.EDITING;
		LayoutRoot root = imagemed.layout.cache.LayoutCache.getSystemLayout( is, LayoutPart.SCHFACILITYLAYOUT );
		Properties extraPars = new Properties();

		if ( isEdit ) {
%>
    <FORM action="<%=thisPage%>" method=post name="saveForm" id="saveForm">
			<INPUT type="hidden" name="cBack" value="<%=request.getParameter("cBack")%>">
			<input type=hidden name=cOp value="Save">
<%
			if ( "New".equals( parOper ) ||
					"Yes".equals( request.getParameter( "isNew" ) ) ) {
%>
				<input type=hidden name=isNew value="Yes">
<%
				extraPars.setProperty( "isNew", "true" );
			}
		}
		else if ( "View".equals( parOper ) ) {
%>  	
	    <FORM action="<%=thisPage%>" method=post name="saveForm" id="saveForm">
				<INPUT type="hidden" name="cBack" value="<%=request.getParameter("cBack")%>">
				<input type=hidden name=cOp value="View">
				<input type=hidden name=c0FID value="<%=parFacility%>">
			</FORM>
<%
		}

		String html = root.getHtml( "  " + ( "View".equals( parOper ) ? "" : "  " ), mode, extraPars, dblds );
		out.println( html );
		if ( isEdit ) {
			String savedName = LDSEntry.writeFile( is, entry );
%>
			<input type=hidden name=cEntryName id=cEntryName value="<%=savedName%>">
</FORM>
<%
		}
%>
</body>
</html>
<%
		return;
	}

	else if ( "SeeValidator".equals( parOper ) ) {
		String parLayout = reqPar.getVal( "cLayout" );
		DBLDSEntry entry = new DBLDSEntry( dblds );
		dblds.setEntry( entry );
		entry.initFromExisting( parFacility );
		is.imRequest.setProperty( "cDisplayType", "FromList" );
		if ( Validator.doValidation( is, parLayout, dblds, null, null ) ) {
			if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
				document.location="<%=parBack%>";
</script><%
				return;
			}
		}
		else {
			return;
		}
	}
	else if ( "Delete".equals( parOper ) ) {
%>
  	<FORM name="operForm" method="POST" action="<%=thisPage%>">
  		<CENTER>
	  	<H2><P>&nbsp;
			<P><%=LocalizedMessage.getSimpleMessage( "SCHEDULER_FACILITIES_DELETE_MSG" )%>
			<P>
			<input type=hidden name="c0FID" value="<%=parFacility%>">
			<input type=hidden name="cBack" value="<%=parBack%>">
			<%=JSHelper.getJsInputLocalizedButton( is, "BUTTON_DELETE", "cOp", "DeleteSure" )%>
			&nbsp; &nbsp; &nbsp; &nbsp;
			<a href="<%=parBack%>"><%=JSHelper.getJsLocalizedButton( "BUTTON_CANCEL", "BUTTON_NULL", false )%></a>
			</H2>
  		</CENTER>
		</FORM>
</body>
</html>
<%
		return;
	}
	else if ( "DeleteSure".equals( parOper ) ) {
		if ( !"true".equals( is.imRequest.digUpVal( "cIgnoreWarns", "" ) ) ) {
			DBLDSEntry entry = new DBLDSEntry( dblds );
			dblds.setEntry( entry );
			entry.initFromExisting( parFacility );

			if ( !Validator.doDeleteValidation( is, LayoutPart.SCHFACILITYLAYOUT, dblds, null ) ) {
				// form with errors or warnings displayed...
				return;
			}
		}

		Properties logFields = new Properties();
		logFields.setProperty( "0LAC", "Delete" );
		SchedulerInterface.makeLogFieldsFromFacility( is, parFacility, logFields );
		SchedulerInterface.logIntoTable( is, logFields );

		SchedulerInterface.setNewAdminVersion();

		SchedulerInterface.deleteRecord( facilityTable, "0FID", parFacility );

		if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
			document.location="<%=parBack%>";
</script><%
	//  		response.sendRedirect( parBack );
			return;
		}
	}
	else if ( "ViewNext".equals( parOper ) || "ViewPrev".equals( parOper ) ) {
		String[] prevNext = result.findRow( parFacility );

		String redir = thisPage;
		if ( "ViewNext".equals( parOper ) && prevNext != null && prevNext.length >= 2 && prevNext[ 1 ] != null ) {
			redir += "?cOp=View&c0FID=" + prevNext[ 1 ];
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
		}
		else if ( "ViewPrev".equals( parOper ) && prevNext != null && prevNext[ 0 ] != null ) {
			redir += "?cOp=View&c0FID=" + prevNext[ 0 ];
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
		}
		else {
			if ( parBack != null && parBack.length() > 0 ) {
				redir = parBack;
			}
		}
%><script language="JavaScript">
		document.location="<%=redir%>";
</script><%
		return;
	}

	else if ( parOper != null && parOper.startsWith( "Save" ) ) {
		// 
		DBLDSEntry entry = DBLDSEntry.readFile( is, request.getParameter( "cEntryName" ), dblds );
		dblds.setEntry( entry );
		entry.initFromRequest( is.imRequest );

		if ( !Validator.doValidation( is, LayoutPart.SCHFACILITYLAYOUT, dblds, null, null ) ) {
			// form with errors or warnings displayed...
			return;
		}
		Set<FieldInstancePointer> changedFIPs = entry.commit();

		Properties logFields = new Properties();
		if ( "Yes".equals( request.getParameter( "isNew" ) ) ) {
			logFields.setProperty( "0LAC", "Create" );
		}
		else {
			logFields.setProperty( "0LAC", "Edit" );
%><%-- %>			//TODO: get changed fields --%><%
		}
		String facilityID = entry.getRootRecord().m_rowID.get( 0 );
		SchedulerInterface.logChangedFields( changedFIPs, logFields, entry );
		SchedulerInterface.makeLogFieldsFromFacility( is, facilityID, logFields );
		SchedulerInterface.logIntoTable( is, logFields );

		Validator.makeLogs( is, dblds, LayoutPart.SCHFACILITYLAYOUT );

		SchedulerInterface.setNewAdminVersion();

		if ( "Save".equals( parOper ) ) {
			if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
				document.location="<%=parBack%>";
</script><%
	//  		response.sendRedirect(parBack);
				return;
			}
		}
		else if ( "SaveAndCreateNew".equals( parOper ) ) {
			String redir = thisPage;
			redir += "?cOp=New";
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
%><script language="JavaScript">
			document.location="<%=redir%>";
</script><%
			return;
		}
		else if ( "SaveAndNext".equals( parOper ) || "SaveAndPrev".equals( parOper ) ) {
			String[] prevNext = result.findRow( facilityID );

			String redir = thisPage;
			if ( "SaveAndNext".equals( parOper ) && prevNext != null && prevNext.length >= 2 && prevNext[ 1 ] != null ) {
				redir += "?cOp=Edit&c0FID=" + prevNext[ 1 ];
				if ( parBack != null && parBack.length() > 0 ) {
					redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
				}
			}
			else if ( "SaveAndPrev".equals( parOper ) && prevNext != null && prevNext[ 0 ] != null ) {
				redir += "?cOp=Edit&c0FID=" + prevNext[ 0 ];
				if ( parBack != null && parBack.length() > 0 ) {
					redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
				}
			}
			else {
				if ( parBack != null && parBack.length() > 0 ) {
					redir = parBack;
				}
			}
%><script language="JavaScript">
			document.location="<%=redir%>";
</script><%
			return;
		}

	}
%>
<CENTER>
<%
	table.printTableTop( is );
	table.print( is );
%>
</CENTER>
<%= ListSaveForm.getListSaveForm( ListDescriptor.LIST_SCHEDULERFACILITIESFILTER, is, tdesc )%>

</BODY>
</HTML>
