<%@page import="imagemed.layout.datasource.pointer.RecordPointer"%>
<%@
	page import="
			java.util.*,

			imagemed.http.IMRequest,
			imagemed.imsession.*,
			imagemed.imtables.*,
			imagemed.jsputil.*,
			imagemed.layout.*,
			imagemed.layout.datasource.*,
			imagemed.layout.datasource.pointer.FieldInstancePointer,
			imagemed.layout.macro.button.RecordButtonMacro,
			imagemed.layout.validator.Validator,
			imagemed.lists.*,
			imagemed.scheduler.SchedulerInterface,
			imagemed.tables.*,
			imagemed.types.flag.IMTypeur,
			imagemed.util.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%!

	static String thisPage = "/scheduler/procedures.jsp";

%><%
	IMSession is = new IMSession( request, response, out );

	//
	if ( !is.regOK() ) {
		return;
	}
	String parOper = is.getButtonParam( "cOp" );
	String parOperOrig = is.getButtonParam( "cOpOrig" );
	String parBack = request.getParameter( "cBack" );
	IMRequest reqPar = is.imRequest;
	String parProcedure = reqPar.getVal( "c0HID" );
	String context = reqPar.m_context;
	boolean isSeeDeleted = "true".equals( is.imRequest.digUpVal( "cSeeDeleted", "" ) );
	//	boolean hasSupportRights = is.regRights != null && -1 != is.regRights.indexOf('@');
	boolean hasAdminRights = is.hasRight( IMTypeur.ADMIN_RIGHT );

	if ( !Table.isExporting( is ) ) {
		is.setNonCacheable();
		if ( parOper == null ) {
			if ( context == null || context.length() == 0 ) {
				context = reqPar.backupContext();
				// we did not have a context, redirect the page now.
				response.sendRedirect( thisPage + "?cContext=" + context );
				return;
			}
			else {
				// just save the context
				reqPar.passAsFile( context );
			}
		}
	}

	DBLayoutDataSource dblds = EntryLayoutFactory.getDefaultDBLDS( is, LayoutPart.SCHPROCEDURELAYOUT );

	FieldManager fm = EntryLayoutFactory.getDefaultFieldManager( is, LayoutPart.SCHPROCEDURELAYOUT );

	String procedureTable = IMEnvBase.getEnv( "SCHEDULERPROCEDURETBL" );

	// --- Init Table without Result ---

	String thisPageMenuTab = "scheduler/tables.jsp";

	TableDescriptor tdesc = new TableDescriptor( thisPage, true, true, true, false );
	TableProperties tprop = new TableProperties();

	boolean isNextPrev = false;
	if ( "SaveAndNext".equals( parOper ) ||
			"SaveAndPrev".equals( parOper ) ||
			"ViewNext".equals( parOper ) ||
			"ViewPrev".equals( parOper ) ) {
		isNextPrev = true;
		if ( context == null ) {
			context = SchedulerInterface.getContextFromBack( parBack );
		}
		if ( context != null ) {
			is.imRequest.m_context = context;
			is.imRequest.mergeContext( thisPage );
		}
	}

	WorklistTableParams tparams = new WorklistTableParams( is, is.getProfileUser(), is.regRights.indexOf( 'A' ) > -1, is.isRegisteredViewer() );
	tparams.setDefaults( thisPage, is );

	tdesc.setFieldManager( fm );
	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	tdesc.setSortDepth( 3 );

	if ( isNextPrev ) {
		tparams.setPageSize( -1 );
	}

	List<Action> act = new ArrayList<Action>();

	act.add( new LinkAction( tdesc, "0HID", "javascript:redirPage_b(\"procedures.jsp?c0HID=$$0HID$$&cOp=View\")",
			"<script language=\"JavaScript\">getImage(\'qview\', 18, 20, \' alt=\"" + LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_PROCEDURE" ) + "\" title=\"" + LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_PROCEDURE" ) + "\"\');</script>",
			LocalizedMessage.getSimpleMessage( "VIEW_SCHEDULER_PROCEDURE" ) ) );

	if ( hasAdminRights ) {
		act.add( new LinkAction( tdesc, "0HID", "javascript:redirPage_b(\"procedures.jsp?c0HID=$$0HID$$&cOp=Edit\")",
				"<script language=\"JavaScript\">getImage(\'edit\', 18, 20, \' alt=\"" + LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_PROCEDURE" ) + "\" title=\"" + LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_PROCEDURE" ) + "\"\');</script>",
				LocalizedMessage.getSimpleMessage( "EDIT_SCHEDULER_PROCEDURE" ) ) );
		act.add( new ConditionalLinkAction( tdesc, "0HID", "javascript:redirPage_b(\"procedures.jsp?c0HID=$$0HID$$&cOp=Delete\")",
				"delete", "18", "20", LocalizedMessage.getSimpleMessage( "DELETE_SCHEDULER_PROCEDURE" ), LocalizedMessage.getSimpleMessage( "DELETE_SCHEDULER_PROCEDURE" ) ) {

			@Override
			public boolean isButtonThere( IMSession _is, Result result ) {
				String deletedStr = result.getValue( "0HDE", "no" );
				return ( "no".equals( deletedStr ) );
			}
		} );
	}

	Column col = new Column( new SimpleHeader( "&nbsp;" ), new ActionCell( "0HID", new Action[]{ new MultiAction( tprop, act.toArray( new Action[ 0 ] ) ) } ), "0HID" );
	tdesc.addExtraColumn( "_FIRST", col );

	List<TopCell> topCell = new ArrayList<TopCell>();

	TitleTopCell title = new TitleTopCell( tprop, LocalizedMessage.getSimpleMessage( "SCHEDULER_PROCEDURES" ) );
	title.clearWidth();

	topCell.add( title );

	topCell.add( new ListsTopCell( ListDescriptor.LIST_SCHEDULERPROCEDURESFILTER, tdesc, is.getProfileUser(), true ) );

	if ( hasAdminRights ) {
		topCell.add( new SimpleTopCell( tprop,
				JSHelper.getJsButtonSLink( is, "javascript:redirPage_b('procedures.jsp?cOp=New')", "newButton", 0, 0, LocalizedMessage.getSimpleMessage( "ALT_TEXT_ADD_PROCEDURE" ) ) ) );
		topCell.add( new SeparatorTopCell( tprop, 4 ) );
	}

	topCell.add( new FieldsTopCell( tdesc, null, true ) );
	topCell.add( new FiltersTopCell( tdesc, null, false, new String[ 0 ], true ) );
	topCell.add( new SortsTopCell( tdesc, null, false, true ) );

	if ( hasAdminRights ) {
		topCell.add( new SeparatorTopCell( tprop, 4 ) );
		topCell.add( new SeeDeletedTopCell( tdesc ) );
	}

	topCell.add( new PageTopCell( tprop, tparams ) );
	tdesc.setTopCells( topCell );

	// --- Init Table with Result ---
	if ( Table.isExporting( is ) ) {
		tparams.setPageSize( 0 );
	}

	DBLDSWrapperNatSqlResult result = new DBLDSWrapperNatSqlResult( tdesc, dblds, !isSeeDeleted );
	result.setRequiredFields( new String[]{ "0HDE" } );

	result.addToWhereClause( new QueryPart( SchedulerInterface.m_notBlockProcedureWhereClause ) );

	tdesc.setResult( result );
	Table table = new Table( tdesc );
//	table.setImportable( true );

	if ( table.handleExport( is ) ) {
		return;
	}

%><%-- --- HTML --- --%><HTML>
<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "SCHEDULER_PROCEDURES" ) %></TITLE>
 <SCRIPT Language="JavaScript">
 	var pageContext="<%=context%>";
 </script>
<%
	TabToolbox.writeIMpopup( is.out );
	table.printScript( tparams, is );
	JSHelper.printJsInclude( out, JSHelper.LAYOUTSCRIPTS_JS );
%>
  <SCRIPT language="JavaScript">
		function doSubmit(frm, mod) {
			while (frm.cOp.value != mod) {
				frm.cOp.value=mod;
			}
			frm.submit();
		}


  </script>
</head>

<BODY>
<%
	TabToolbox.makeTabs( is, is.tabbean, thisPageMenuTab, "White" );
	// --- Oper ---

	if ( "View".equals( parOper ) || "New".equals( parOper ) || "Edit".equals( parOper ) || "Refresh".equals( parOper ) || "EditClone".equals( parOper ) || ( parOper != null && parOper.startsWith( "Record" ) ) ) {
		if ( "View".equals( parOper ) || "New".equals( parOper ) || "Edit".equals( parOper ) ) {
			parOperOrig = parOper;
		}
		else if ( "EditClone".equals( parOper ) ) {
			parOperOrig = "Edit";
			//no need for cloning again!
		}

		SchedulerInterface.putLabel( is, "SCHEDULER_PROCEDURE", parOperOrig );

		boolean isEdit = !"View".equals( parOper );
		DBLDSEntry entry = null;
		String entryName = request.getParameter( "cEntryName" );
		if ( entryName != null ) {
			entry = DBLDSEntry.readFile( is, entryName, dblds );
			dblds.setEntry( entry );
			entry.initFromRequest( is.imRequest );
			
			// calling delete validator with the device-procedure record we want to delete
			// to check referring Orders
	  		if( ( parOper.startsWith( "Record" + RecordButtonMacro.RECORDOPERDEL ) ) ) {
				String editURL = is.httpx_host + is.request.getRequestURI() + "?cOp=Edit&p_op=Edit";
				editURL += "&cEntryName=" + entryName + "&cBack=" + Helper.URLEncode( parBack ) + "&isNew=" + request.getParameter("isNew");

				String oper = parOper.substring( 6 ); // cut heading "Record"
				int p = oper.indexOf( '_' );
				FieldInstancePointer fp = FieldInstancePointer.decomposeFormInputName( oper.substring( p + 1 ) );
				RecordPointer rp = new RecordPointer( fp.m_sfieldID, fp.m_rowIDs );
				
	  			if (!Validator.doDeleteValidation( is, LayoutPart.SCHPROCEDURELAYOUT, dblds, null, editURL, rp ) ) {
	  			// form with errors or warnings displayed...
	  				DBLDSEntry.writeFile( is, entry );
	  				return;
	  			}
	    	}
			
			if ( RecordButtonMacro.doRecordOperation( dblds, is ) || "Refresh".equals( parOper ) ) {
				if ( parOperOrig != null ) {
					parOper = parOperOrig;
				}
				else {
					parOper = "Edit";
				}
			}
		}
		else {
			entry = new DBLDSEntry( dblds );
			dblds.setEntry( entry );
			if ( !"New".equals( parOper ) ) {
				entry.initFromExisting( parProcedure );
				if ( "EditClone".equals( parOper ) ) {
					entry.resetIDs();
				}
			}
			else {
				// create a default empty procedure
				LDSRecord rootRec = entry.addRecord( dblds.getTable(), null ); // root record
				// add one device
				entry.addRecord( IMEnvBase.getEnv( "SCHEDULERDEVPROCTBL" ), rootRec );
			}
		}
		dblds.setRepeatPointer( dblds.getTable(), 0 );

		if ( isEdit ) {
%>
    <FORM action="<%=thisPage%>" method=post name="saveForm" id="saveForm">
			<INPUT type="hidden" name="cBack" value="<%=request.getParameter("cBack")%>">
			<input type=hidden name=cOp value="Save">
			<input type=hidden name=cOpOrig value="<%=parOperOrig%>">
<%
			if ( "New".equals( parOper ) || "EditClone".equals( parOper ) ||
					"Yes".equals( request.getParameter( "isNew" ) ) ) {
%>
				<input type=hidden name=isNew value="Yes">
<%
			}

		}
		else if ( "View".equals( parOper ) ) {
%>  	
	    <FORM action="<%=thisPage%>" method=post name="saveForm" id="saveForm">
				<INPUT type="hidden" name="cBack" value="<%=request.getParameter("cBack")%>">
				<input type=hidden name=cOp value="View">
				<input type=hidden name=c0HID value="<%=parProcedure%>">
			</FORM>
<%
		}

		OperatingMode mode = "View".equals( parOper ) ? LayoutPart.VIEWING : LayoutPart.EDITING;
		LayoutRoot root = imagemed.layout.cache.LayoutCache.getSystemLayout( is, LayoutPart.SCHPROCEDURELAYOUT );
		String html = root.getHtml( "  " + ( "View".equals( parOper ) ? "" : "  " ), mode, dblds );

		out.println( html );
		if ( isEdit ) {
			String savedName = LDSEntry.writeFile( is, entry );
%>
			<input type=hidden name=cEntryName id=cEntryName value="<%=savedName%>">
</FORM>
<%
		}
%>
</body>
</html>
<%
		return;
	}
	else if ( "SeeValidator".equals( parOper ) ) {
		String parLayout = reqPar.getVal( "cLayout" );
		DBLDSEntry entry = new DBLDSEntry( dblds );
		dblds.setEntry( entry );
		entry.initFromExisting( parProcedure );
		is.imRequest.setProperty( "cDisplayType", "FromList" );
		if ( Validator.doValidation( is, parLayout, dblds, null, null ) ) {
			if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
				document.location="<%=parBack%>";
</script><%
				return;
			}
		}
		else {
			return;
		}
	}
	else if ( "Delete".equals( parOper ) ) {
%>
  	<FORM name="operForm" method="POST" action="<%=thisPage%>">
  		<CENTER>
	  	<H2><P>&nbsp;
			<P><%=LocalizedMessage.getSimpleMessage( "SCHEDULER_PROCEDURES_DELETE_MSG" )%>
			<P>
			<input type=hidden name="c0HID" value="<%=parProcedure%>">
			<input type=hidden name="cBack" value="<%=parBack%>">
			<%=JSHelper.getJsInputLocalizedButton( is, "BUTTON_DELETE", "cOp", "DeleteSure")%>
			&nbsp; &nbsp; &nbsp; &nbsp;
			<a href="<%=parBack%>"><%=JSHelper.getJsLocalizedButton( "BUTTON_CANCEL", "BUTTON_NULL", false )%></a>
			</H2>
  		</CENTER>
		</FORM>
</body>
</html>
<%
		return;
	}
	else if ( "DeleteSure".equals( parOper ) ) {
		if ( !"true".equals( is.imRequest.digUpVal( "cIgnoreWarns", "" ) ) ) {
			DBLDSEntry entry = new DBLDSEntry( dblds );
			dblds.setEntry( entry );
			entry.initFromExisting( parProcedure );

			if ( !Validator.doDeleteValidation( is, LayoutPart.SCHPROCEDURELAYOUT, dblds, null ) ) {
				// form with errors or warnings displayed...
				return;
			}
		}

		Properties logFields = new Properties();
		logFields.setProperty( "0LAC", "Delete" );
		SchedulerInterface.makeLogFieldsFromProcedure( is, parProcedure, logFields );
		SchedulerInterface.logIntoTable( is, logFields );

		//BTS9312		SchedulerInterface.setNewAdminVersion();

		SchedulerInterface.deleteRecord( procedureTable, "0HID", parProcedure );

		if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
			document.location="<%=parBack%>";
</script><%
//			response.sendRedirect( parBack );
			return;
		}
	}
	else if ( "ViewNext".equals( parOper ) || "ViewPrev".equals( parOper ) ) {
		String[] prevNext = result.findRow( parProcedure );

		String redir = thisPage;
		if ( "ViewNext".equals( parOper ) && prevNext != null && prevNext.length >= 2 && prevNext[ 1 ] != null ) {
			redir += "?cOp=View&c0HID=" + prevNext[ 1 ];
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
		}
		else if ( "ViewPrev".equals( parOper ) && prevNext != null && prevNext[ 0 ] != null ) {
			redir += "?cOp=View&c0HID=" + prevNext[ 0 ];
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
		}
		else {
			if ( parBack != null && parBack.length() > 0 ) {
				redir = parBack;
			}
		}
%><script language="JavaScript">
		document.location="<%=redir%>";
</script><%
		return;
	}

	else if ( parOper != null && parOper.startsWith( "Save" ) ) {
		// 
		DBLDSEntry entry = DBLDSEntry.readFile( is, request.getParameter( "cEntryName" ), dblds );
		dblds.setEntry( entry );
		entry.initFromRequest( is.imRequest );

		if ( !Validator.doValidation( is, LayoutPart.SCHPROCEDURELAYOUT, dblds, null, null ) ) {
			// form with errors or warnings displayed...
			return;
		}

		Set<FieldInstancePointer> changedFIPs = entry.commit();

		Properties logFields = new Properties();
		if ( "Yes".equals( request.getParameter( "isNew" ) ) ) {
			logFields.setProperty( "0LAC", "Create" );
		}
		else {
			logFields.setProperty( "0LAC", "Edit" );
			//TODO: get changed fields
		}
		String procedureID = entry.getRootRecord().m_rowID.get( 0 );
		SchedulerInterface.logChangedFields( changedFIPs, logFields, entry );
		SchedulerInterface.makeLogFieldsFromProcedure( is, procedureID, logFields );
		SchedulerInterface.logIntoTable( is, logFields );

		Validator.makeLogs( is, dblds, LayoutPart.SCHPROCEDURELAYOUT );

		//fields that cause calendar to refresh if changed
		String[] importantFields = { "0HNA", "0HTY", "0HTI", "0HDE" };
		SchedulerInterface.setNewAdminVersionIfNeeded( importantFields, changedFIPs, is, LayoutPart.SCHPROCEDURELAYOUT );

		if ( "Save".equals( parOper ) ) {
			if ( parBack != null && parBack.length() > 0 ) {
%><script language="JavaScript">
				document.location="<%=parBack%>";
</script><%
//				response.sendRedirect(parBack);
				return;
			}
		}
		else if ( "SaveAndCreateClone".equals( parOper ) ) {
			//edit page with this ID but with cloning!
			String redir = thisPage;
			redir += "?cOp=EditClone&c0HID=" + procedureID;
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
%><script language="JavaScript">
			document.location="<%=redir%>";
</script><%
			return;
		}
		else if ( "SaveAndCreateNew".equals( parOper ) ) {
			String redir = thisPage;
			redir += "?cOp=New";
			if ( parBack != null && parBack.length() > 0 ) {
				redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
			}
%><script language="JavaScript">
			document.location="<%=redir%>";
</script><%
			return;
		}
		else if ( "SaveAndNext".equals( parOper ) || "SaveAndPrev".equals( parOper ) ) {
			String[] prevNext = result.findRow( procedureID );

			Helper.DEBUG( "SaveAndNext prevNext:" + Helper.toString( prevNext ) );

			String redir = thisPage;
			if ( "SaveAndNext".equals( parOper ) && prevNext != null && prevNext.length >= 2 && prevNext[ 1 ] != null ) {
				redir += "?cOp=Edit&c0HID=" + prevNext[ 1 ];
				if ( parBack != null && parBack.length() > 0 ) {
					redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
				}
			}
			else if ( "SaveAndPrev".equals( parOper ) && prevNext != null && prevNext[ 0 ] != null ) {
				redir += "?cOp=Edit&c0HID=" + prevNext[ 0 ];
				if ( parBack != null && parBack.length() > 0 ) {
					redir += "&cBack=" + Helper.URLEncodeUTF8( parBack );
				}
			}
			else {
				if ( parBack != null && parBack.length() > 0 ) {
					redir = parBack;
				}
			}
%><script language="JavaScript">
			document.location="<%=redir%>";
</script><%
			return;
		}

	}
%>
<CENTER>
<%
	table.printTableTop( is );
	table.print( is );
%>
</CENTER>
<%= ListSaveForm.getListSaveForm( ListDescriptor.LIST_SCHEDULERPROCEDURESFILTER, is, tdesc ) %>

</BODY>
</HTML>