<%@page
	import="java.util.*,
			imagemed.imtables.ConfigFileResult,
			imagemed.tables.Result,
			imagemed.types.date.TimeStamp,
			imagemed.types.enumeration.IMTypeMODA,
			imagemed.util.*,
			imagemed.imsession.*,
			imagemed.scheduler.SchedulerInterface,
			imagemed.jsputil.*,
			imagemed.dotcom.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%

	IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		return;
	}
	is.setNonCacheable();

	String scanmode = is.request.getParameter( "cScanmode" );
	if ( scanmode == null || "".equals( scanmode ) ) {
		scanmode = "normal";
	}

	String type = is.request.getParameter( "type" );
	if ( type == null ) {
		type = "";
	}
	String id = is.request.getParameter( "id" );
	if ( id == null ) {
		id = "";
	}
	String name = is.request.getParameter( "name" );
	if ( name == null ) {
		name = "";
	}
	String savename = is.request.getParameter( "savename" );
	if ( savename == null ) {
		savename = "";
	}
	String settings = is.request.getParameter( "settings" );
	if ( !"true".equals( settings ) ) {
		settings = "false";
	}
	String admin = is.request.getParameter( "cAdmin" );
	if ( admin == null ) {
		admin = "";
	}
	String redir = is.request.getParameter( "cRedir" );
	if ( redir == null ) {
		redir = "";
	}

	String uploadPage = is.request.getParameter( "cUpload" );
	if ( uploadPage == null || "".equals( uploadPage ) ) {
		uploadPage = "/scheduler/upload.jsp";
	}

	String PDF = is.request.getParameter( "cPDF" );
	if ( PDF == null ) {
		PDF = "false";
	}

	String studyIUID = is.request.getParameter( "cStudyIUID" );
	if ( studyIUID == null ) {
		studyIUID = "";
	}

	String seriesUID = is.request.getParameter( "cSeriesUID" );
	if ( seriesUID == null ) {
		seriesUID = "";
	}

	String proposedStudyUID = is.request.getParameter( "cProposedStudyUID" );
	if ( proposedStudyUID == null ) {
		proposedStudyUID = "";
	}

	boolean isGeneric = "yes".equals( is.request.getParameter( "cGeneric" ) );

	boolean isPACSorder = "true".equals( is.request.getParameter( "PACSorder" ) );

	boolean fromPACS = isPACSorder || "".equals( type ); //empty type means PACS study

	boolean isUID = "true".equals( is.request.getParameter( "isUID" ) );

	boolean isUploadOnly = "true".equals( is.request.getParameter( "cUploadOnly" ) );

	String doctypeDefault = is.request.getParameter( "cDoctypeDefault" );

	String refererHost = is.request.getParameter( "RefererHost" );
	String parentSession = is.request.getParameter( "ParentSession" );
	String redirPart = "" + ( refererHost == null ? "" : "&RefererHost=" + refererHost ) + ( parentSession == null ? "" : "&ParentSession=" + parentSession );

	Helper.DEBUG( "Scan.jsp", "Called" );
	Helper.DEBUG( "Scan,jsp", "Type:" + type + " ID:" + id + " Name:" + name + " Savename:" + savename + " Admin:" + admin + " redir:" + redir );

	String demogParams;
	if ( isPACSorder ) {
		demogParams = "cObjType=study&cID=" + studyIUID;
	}
	else if ( !"".equals( type ) ) {
		demogParams = "cObjType=" + type + "&cID=" + id;
	}
	else { //means PACS study
		demogParams = "cObjType=study&cID=" + studyIUID;
	}

	DualPropsConfigReader scanCfg = new DualPropsConfigReader( IMEnvBase.getEnv( "CONF" ) + "/scan.conf", IMEnvBase.getEnv( "CASES_HOME" ) + "/cfg/scan.conf" );
	Properties scanProps = scanCfg.getProperties();
	String comp = scanProps.getProperty( "jpgcompression", "75" );


	String objType = is.request.getParameter( "cObjType" ); //for 'test' type
	if ( objType == null || "".equals( objType ) ) {
		if ( fromPACS ) {
			if ( isPACSorder ) {
				objType = "PACSorder";
			}
			else {
				objType = "study";
			}
		}
		else {
			objType = type; //order, patient, etc.
		}
	}

	String scheduledDate = "";
	String scheduledTime = "";
	boolean imagesDisabled = false;
	if ( "order".equals( objType ) ) {
		if ( AttachmentManager.getStudyIUIDForOrder( id ) == null ) {
			imagesDisabled = true;
		}
		String orderDate = AttachmentManager.getScheduledDateForOrder( id );
		if ( orderDate != null ) {
			scheduledDate = orderDate;
		}
		String orderTime = AttachmentManager.getScheduledTimeForOrder( id );
		if ( orderTime != null ) {
			scheduledTime = orderTime;
		}
	}
	else if ( "study".equals( objType ) ) {
		String studyDateTime = AttachmentManager.getScheduledDateTimeForStudy( studyIUID );
		TimeStamp ts = new TimeStamp( studyDateTime );
		if ( ts.isValid() ) {
			if ( is.getTimeZone() != null ) {
				ts.convertTo( is.getTimeZone() );
			}
			scheduledDate = ts.getDA();
			if ( ts.hasTime() ) {
				scheduledTime = ts.getTM();
			}
		}
	}
	else if ( "PACSorder".equals( objType ) ) {
		String studyDateTime = AttachmentManager.getScheduledDateTimeForPACSOrder( studyIUID );
		TimeStamp ts = new TimeStamp( studyDateTime );
		if ( ts.isValid() ) {
			if ( is.getTimeZone() != null ) {
				ts.convertTo( is.getTimeZone() );
			}
			scheduledDate = ts.getDA();
			if ( ts.hasTime() ) {
				scheduledTime = ts.getTM();
			}
		}
	}

	//!!!!!!!
	//scanmode = "test";

%><HTML>
<HEAD><TITLE>Scan</TITLE>
<%
	imagemed.http.tabs.TabBean.writeStyleOnly( is );
%>
</HEAD>
<BODY>
<%
	if ( "fast".equals( scanmode ) ) {
		is.out.println( "Scanning...<BR>" );
	}

	String[] modalities = { "CR", "CT", "DX", "ES", "MG", "MR", "NM", "OT", "RF", "RG", "SC", "US", "XA", "PT" };
	Result res = new ConfigFileResult( "DTMD", "DTMD.lst", null, true, false );
	if ( res.countAll() > 0 ) {
		List<String> modLst = new Vector<String>();
		while ( res.next() )
			modLst.add( res.getValue( "DTMD" ) );
		modalities = modLst.toArray( new String[ modLst.size() ] );
	}
	StringBuilder modalitiesStr = new StringBuilder( modalities[ 0 ] );
	for ( int i = 1; i < modalities.length; i++ ) {
		modalitiesStr.append( '\n' ).append( modalities[ i ] );
	}

	String hubs = "";
	DotcomDevice selfDevice = DotcomConfig.selfDevice();
	if ( selfDevice != null && selfDevice.isDbOnly() ) {
		String[] hubList = Helper.sortCaseInSensitive( DotcomConfig.getConfig().getHubs( selfDevice.getId() ).toArray( new String[ 0 ] ) );
		if ( hubList != null ) {
			for ( int i = 0; i < hubList.length; i++ ) {
				hubs += hubList[ i ];
				if ( i < hubList.length - 1 ) {
					hubs += '\n';
				}
			}
		}
	}

	IMPropsConfigReader debugReader = new IMPropsConfigReader( IMEnvBase.getEnv( "CONF" ) + "/debug.cfg" );
	debugReader.checkAndLoad();
	String debug = ( (IMPropsConfiguration) debugReader.getConfiguration() ).getProperties().getProperty( "scan", "false" );
%>
<%--
 Az upload paramok a Scanner.java-ban is fel vannak sorolva!!! ott is add hozza!!!
 --%>

<embed
	type = "application/x-java-applet" 
	CODE = "ep.clients.Scanner"
	ARCHIVE = "<%=is.httpx_host + "/applets/epapplets.jar"%>,<%=is.httpx_host + "/applets/jai_codec.jar"%>,<%=is.httpx_host + "/applets/jai_core.jar"%>"
	java_arguments = "-Xmx1024m"
	WIDTH = "<%="fast".equals( scanmode ) ? "350" : "100%"%>"
	HEIGHT = "<%="fast".equals( scanmode ) ? "50" : "100%"%>"
	dllurl = "<%=is.httpx_host + "/scheduler/eRADscan.dll"%>"
	debug = "<%=debug%>"
	redirectAtEnd = "true"
	scanmode = "<%=scanmode%>"
	ModalityList = "<%=Helper.URLEncodeUTF8( modalitiesStr.toString() )%>"
	HUBList = "<%=Helper.URLEncodeUTF8( hubs )%>"
	ScanInterfaceVisible = "<%=settings%>"
	redirURL = "<%="".equals( redir ) ? "" : is.httpx_host + redir%>"
	UploadURL = "<%=is.httpx_host + uploadPage%>"
	closeURL = "<%=is.httpx_host + "/scheduler/refreshandclose.jsp?" + redirPart %>"
	doctypeURL = "<%=is.httpx_host + "/scheduler/getdoctypes.jsp?"  + ( !fromPACS ? ( "cObjType=" + type ) : ( "cObjType=study" ) )%>"
	demogURL = "<%=is.httpx_host + "/cases/getdemographics.jsp?" + demogParams + "&server=" + is.httpx_host + "&sessionid=" + is._sid%>"
	nameNeeded = "<%=( isGeneric || isPACSorder ) ? "yes" : "no"%>"
	saveButton = "<%=( isGeneric || fromPACS ) ? "yes" : "no"%>"
	checkexistURL = "<%=is.httpx_host + "/scheduler/checkexist.jsp?type=" + type + "&id=" + id%>"
	jpgcompression = "<%=comp%>"
	ImageUploadURL = "<%=is.httpx_host + "/cases/uploadDicom.jsp"%>"
	cScheduledDate = "<%=scheduledDate%>"
	cScheduledTime = "<%=scheduledTime%>"
	cImagesDisabled = "<%=imagesDisabled ? "true" : "false"%>"
	cDoctypeDefault = "<%=doctypeDefault%>"
	cUploadRedirect = "<%= selfDevice.isDbOnly() ? "yes" : "no"%>"
	cUploadOnly = "<%=isUploadOnly ? "true" : "false"%>"
	server = "<%=is.httpx_host%>"
	sessionid = "<%=is._sid%>" 
	
	mytype = "<%=type%>"
	id = "<%=id%>"
	myname = "<%=name%>"
	savename = "<%=savename%>"
	cAdmin = "<%=admin%>"
	cStudyIUID = "<%=studyIUID%>"
	cSeriesUID = "<%=seriesUID%>"
	cProposedStudyUID = "<%=proposedStudyUID%>"
	cPDF = "<%=PDF%>"
	PACSorder = "<%=isPACSorder ? "true" : "false"%>"
	cObjType = "<%=objType%>"
	isUID = "<%=isUID ? "true" : "false"%>">
</embed>

</BODY>
</HTML>
