#!/bin/sh
#
# usage: printGS.sh JPGs [params_for_lp]
#

. ~/etc/setenv.sh

JPGs=$1
shift

if [ "$JPGs" == "" ]; then
	echo "The first parameter should contain the jpg files to be printed."
	return 1
fi

$IMAGEMAGICK_HOME/bin/convert -border 1x1 $JPGs /tmp/printrep.$$.ps

#border is needed to align to center (Magick...)

/usr/bin/lp $@ /tmp/printrep.$$.ps

rm /tmp/printrep.$$.ps
